Issue 116850 - SvLBox::OnCurrentEntryChanged: Conditional jump or move depends on uninitialised value(s)
Summary: SvLBox::OnCurrentEntryChanged: Conditional jump or move depends on uninitiali...
Status: CLOSED FIXED
Alias: None
Product: General
Classification: Code
Component: code (show other issues)
Version: DEV300m98
Hardware: All All
: P3 Trivial (vote)
Target Milestone: ---
Assignee: ocke.janssen
QA Contact: issues@framework
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2011-02-07 13:10 UTC by Stephan Bergmann
Modified: 2017-05-20 10:34 UTC (History)
1 user (show)

See Also:
Issue Type: DEFECT
Latest Confirmation in: ---
Developer Difficulty: ---


Attachments

Note You need to log in before you can comment on or make changes to this issue.
Description Stephan Bergmann 2011-02-07 13:10:22 UTC
At least on DEV300_m98 based CWS sb138, unxlngi6 non-pro, executing
toolkit/qa/unoapi under valgrind reports

33: ==28667== Thread 7:
33: ==28667== Conditional jump or move depends on uninitialised value(s)
33: ==28667==    at 0x506D343: SvLBox::OnCurrentEntryChanged() (in
/net/so-cwsserv03/export/cws/sb138/DEV300/unxlngi6/installation/opt/openoffice.org/basis3.4/program/libsvtli.so)
33: ==28667==    by 0x505BA5F: SvImpLBox::SetCursor(SvLBoxEntry*, unsigned char)
(in
/net/so-cwsserv03/export/cws/sb138/DEV300/unxlngi6/installation/opt/openoffice.org/basis3.4/program/libsvtli.so)
33: ==28667==    by 0x505C956: SvImpLBox::EntrySelected(SvLBoxEntry*, unsigned
char) (in
/net/so-cwsserv03/export/cws/sb138/DEV300/unxlngi6/installation/opt/openoffice.org/basis3.4/program/libsvtli.so)
33: ==28667==    by 0x507B4E5: SvTreeListBox::Select(SvLBoxEntry*, unsigned
char) (in
/net/so-cwsserv03/export/cws/sb138/DEV300/unxlngi6/installation/opt/openoffice.org/basis3.4/program/libsvtli.so)
33: ==28667==    by 0x4C3D356: SfxCommonTemplateDialog_Impl::SelectStyle(String
const&) (in
/net/so-cwsserv03/export/cws/sb138/DEV300/unxlngi6/installation/opt/openoffice.org/basis3.4/program/libsfxli.so)
33: ==28667==    by 0x4C3F0DC:
SfxCommonTemplateDialog_Impl::UpdateStyles_Impl(unsigned short) (in
/net/so-cwsserv03/export/cws/sb138/DEV300/unxlngi6/installation/opt/openoffice.org/basis3.4/program/libsfxli.so)
33: ==28667==    by 0x4C3E824: SfxCommonTemplateDialog_Impl::UpdateFamily_Impl()
(in
/net/so-cwsserv03/export/cws/sb138/DEV300/unxlngi6/installation/opt/openoffice.org/basis3.4/program/libsfxli.so)
33: ==28667==    by 0x4C3E99F:
SfxCommonTemplateDialog_Impl::FamilySelect(unsigned short) (in
/net/so-cwsserv03/export/cws/sb138/DEV300/unxlngi6/installation/opt/openoffice.org/basis3.4/program/libsfxli.so)
33: ==28667==    by 0x4C3EAD7:
SfxCommonTemplateDialog_Impl::UpdateStyles_Impl(unsigned short) (in
/net/so-cwsserv03/export/cws/sb138/DEV300/unxlngi6/installation/opt/openoffice.org/basis3.4/program/libsfxli.so)
33: ==28667==    by 0x4C3E824: SfxCommonTemplateDialog_Impl::UpdateFamily_Impl()
(in
/net/so-cwsserv03/export/cws/sb138/DEV300/unxlngi6/installation/opt/openoffice.org/basis3.4/program/libsfxli.so)
33: ==28667==    by 0x4C3F474: SfxCommonTemplateDialog_Impl::Update_Impl() (in
/net/so-cwsserv03/export/cws/sb138/DEV300/unxlngi6/installation/opt/openoffice.org/basis3.4/program/libsfxli.so)
33: ==28667==    by 0x4C3F7CF: SfxCommonTemplateDialog_Impl::Initialize() (in
/net/so-cwsserv03/export/cws/sb138/DEV300/unxlngi6/installation/opt/openoffice.org/basis3.4/program/libsfxli.so)
33: ==28667== 

It appears that the changes for issue 31275 introduced
SvLBox::m_bDoingQuickSelection which is only ever written to in
SvLBox::HandleKeyInput but read in SvLBox::OnCurrentEntryChanged.
Comment 1 Frank Schönheit 2011-02-10 13:49:19 UTC
fixed as http://hg.services.openoffice.org/cws/dba34d/rev/4145a1029b2c in CWS
dba34d.
Comment 2 Stephan Bergmann 2011-02-15 15:55:16 UTC
(also addressed by
<http://hg.services.openoffice.org/cws/mhu21/rev/2f76d3842f3d>, issue 115784)
Comment 3 Frank Schönheit 2011-03-16 10:17:03 UTC
fs->oj: please verify in CWS dba34d
Comment 4 ocke.janssen 2011-03-17 10:52:16 UTC
Verified.